---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
aliases:
 - /desktop/extensions-sdk/dev/api/reference/interfaces/DesktopUI/
---

# Interface: DesktopUI

**`Since`**

0.2.0

## Properties

### toast

• `Readonly` **toast**: [`Toast`](Toast.md)

___

### dialog

• `Readonly` **dialog**: [`Dialog`](Dialog.md)

___

### navigate

• `Readonly` **navigate**: [`NavigationIntents`](NavigationIntents.md)
